Bug 214813 - www/drupal7: Update to 7.52
Summary: www/drupal7: Update to 7.52
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL: https://www.drupal.org/blog/drupal-82...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-25 06:47 UTC by Jochen Neumeister
Modified: 2016-11-29 21:24 UTC (History)
3 users (show)

See Also:
junovitch: merge-quarterly+


Attachments
Patch (1.05 KB, patch)
2016-11-25 06:47 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2016-11-25 06:47:51 UTC
Created attachment 177369 [details]
Patch

poudriere build fine for:
9.3 amd + i386
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r307551)

portlint is also fine.

Make test & port test is fine, too.

Cheers
jochen
Comment 1 commit-hook freebsd_committer 2016-11-25 10:12:19 UTC
A commit references this bug:

Author: tz
Date: Fri Nov 25 10:11:38 UTC 2016
New revision: 427099
URL: https://svnweb.freebsd.org/changeset/ports/427099

Log:
  Document Drupal vulnerabilities

  PR:       214813
  Security: CVE-2016-9449
  Security: CVE-2016-9450
  Security: CVE-2016-9451
  Security: CVE-2016-9452
  Security: https://vuxml.freebsd.org/freebsd/8db24888-b2f5-11e6-8153-00248c0c745d.html

  Approved by: mentors (implicit)

Changes:
  head/security/vuxml/vuln.xml
Comment 2 commit-hook freebsd_committer 2016-11-25 10:19:21 UTC
A commit references this bug:

Author: tz
Date: Fri Nov 25 10:18:49 UTC 2016
New revision: 427100
URL: https://svnweb.freebsd.org/changeset/ports/427100

Log:
  www/drupal7: Update from 7.51 to 7.52

  Changelog: https://www.drupal.org/blog/drupal-823-and-752-released

  Also remove CONFLICTS_INSTALL because drupal7 and drupal8 install
  their files into different directories.

  PR:           214813
  Submitted by: Jochen Neumeister (maintainer)
  Approved by:  mentors (implicit)
  MFH:          2016Q4
  Security:     CVE-2016-9449
  Security:     CVE-2016-9450
  Security:     CVE-2016-9451
  Security:     CVE-2016-9452
  Security:     https://vuxml.freebsd.org/freebsd/8db24888-b2f5-11e6-8153-00248c0c745d.html

Changes:
  head/www/drupal7/Makefile
  head/www/drupal7/distinfo
Comment 3 Torsten Zuehlsdorff freebsd_committer 2016-11-25 10:19:46 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2016-11-27 03:26:43 UTC
A commit references this bug:

Author: junovitch
Date: Sun Nov 27 03:25:53 UTC 2016
New revision: 427190
URL: https://svnweb.freebsd.org/changeset/ports/427190

Log:
  Remove trailing period in version and re-wrap Drupal entry at <=80 lines

  PR:		214813

Changes:
  head/security/vuxml/vuln.xml
Comment 5 Jason Unovitch freebsd_committer 2016-11-27 03:28:08 UTC
(In reply to Torsten Zuehlsdorff from comment #3)
Torsten, thanks! I just followed up with some minor visual fixups after dealing with some other vuxml changes.
Comment 6 commit-hook freebsd_committer 2016-11-29 11:02:42 UTC
A commit references this bug:

Author: tz
Date: Tue Nov 29 11:01:55 UTC 2016
New revision: 427375
URL: https://svnweb.freebsd.org/changeset/ports/427375

Log:
  MFH: r424812 r427009 r427100

  - Update to 7.51
  - Pass maintainership to submitter

  PR:		213805
  Submitted by:	joneum@bsdproject.de

  www/drupal7: add CONFLICT_INSTALL for new port www/drupal8

  PR:           214787
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  Approved by:  mentors (implicit)

  www/drupal7: Update from 7.51 to 7.52

  Changelog: https://www.drupal.org/blog/drupal-823-and-752-released

  Also remove CONFLICTS_INSTALL because drupal7 and drupal8 install
  their files into different directories.

  PR:           214813
  Submitted by: Jochen Neumeister (maintainer)
  Approved by:  mentors (implicit)
  Security:     CVE-2016-9449
  Security:     CVE-2016-9450
  Security:     CVE-2016-9451
  Security:     CVE-2016-9452
  Security:     https://vuxml.freebsd.org/freebsd/8db24888-b2f5-11e6-8153-00248c0c745d.html

  Approved by:  ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/www/drupal7/Makefile
  branches/2016Q4/www/drupal7/distinfo
  branches/2016Q4/www/drupal7/pkg-plist